0

I am using WordPress and WordPress using TinyMCE version 4 and it's old and not the best for our projects if we include the latest version of TinyMCE (5) in our projects many issues will happen so we have decided to make a trick and this trick is to replace any word "tinymce" to "xEditor" this will solve our problems.

My questions what about the LICENSE of TinyMCE projects here's their LICENSE: https://github.com/tinymce/tinymce/blob/develop/LICENSE.TXT

NOTE: We will write in the script files that this is a TinyMCE editor and we have renamed it to "xEditor" to be useful for our projects.

  • many issues will happen Can you name some? There's the Self hosted variant under LGPL: tiny.cloud/get-tiny/self-hosted – Bernhard Döbler Nov 23 '20 at 11:37
  • 1
    @BernhardDöbler If I include TinyMCE version 5 in my theme and a customer buy my theme and use the WordPress editor function (TinyMCE 4) "wp_editor()", the site will stop working, So I need to include TinyMCE version 5 but rename it by doing this all problems will be solved because the customer now can include both versions without any problems using my own theme functions and main WordPress functions both together. So can I do this? Is TinyMCE license accept this? – John Nov 23 '20 at 12:40

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.